Package com.sas.lsaf.client

## Interface ServiceManager

-     public interface ServiceManager

  Factory interface that provides access to individual service implementations. The service manager is bound to a user's session to ensure authenticated access is always available to the secure server API. As such, retrieving the service manager instance is made available from the session interface directly.
  Since:
    1.1
  See Also:
    `ClientSession.getServiceManager()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AclService` | `getAclService()` | Get the AclService instance for this session.
    `ApplicationInformationService` | `getApplicationInformationService()` | Get the `ApplicationInformationService` instance bound to the current session.
    `AuditQueryService` | `getAuditQueryService()` | Get the AuditQueryService instance for this session.
    `AuditService` | `getAuditService()` | Get the `AuditService` instance bound to the current session.
    `AutoFlowService` | `getAutoFlowService()` | Get the AutoFlowService instance for this session.
    `BatchRepositoryService` | `getBatchRepositoryService()` | Get the BatchRepositoryService instance for this session.
    `BatchWorkspaceService` | `getBatchWorkspaceService()` | Get the BatchWorkspaceService instance for this session.
    `DictionaryService` | `getDictionaryService()` | Get the DictionaryService instance for this session.
    `ExternalDictionaryService` | `getExternalDictionaryService()` | Get the ExternalDictionaryService instance for this session.
    `GlobalPrivilegeService` | `getGlobalPrivilegeService()` | Get the `GlobalPrivilegeService` instance bound to the current session.
    `GroupService` | `getGroupService()` | Get the `GroupService` instance bound to the current session.
    `JobService` | `getJobService()` | Get the JobService instance for this session.
    `JobSubmissionService` | `getJobSubmissionService()` | Get the JobExecutionService instance for this session.
    `ContextMembershipQueryService` | `getMembershipQueryService()` | Get the MembershipQueryService instance for this session.
    `MembershipService` | `getMembershipService()` | Get the `MembershipService` instance bound to the current session.
    `ModelService` | `getModelService()` | Get the ModelService instance for this session.
    `PermissionsQueryService` | `getPermissionsQueryService()` | Get the PermissionsQueryService instance for this session.
    `ProcessDefinitionService` | `getProcessDefinitionService()` | Get the ProcessDefinitionService instance for this session.
    `ProcessFlowService` | `getProcessFlowService()` | Get the ProcessFlowService instance for this session.
    `ProcessFlowSetupService` | `getProcessFlowSetupService()` | Get the ProcessFlowSetupService instance for this session.
    `RecycleBinQueryService` | `getRecycleBinQueryService()` | Get the RecycleBinQueryService instance for this session.
    `RecycleBinService` | `getRecycleBinService()` | Get the RecycleBinService instance for this session.
    `RepositoryQueryService` | `getRepositoryQueryService()` | Get the RepositoryQueryService instance for this session.
    `RepositoryService` | `getRepositoryService()` | Get the `RepositoryService` instance bound to the current session.
    `ResourceUtilizationService` | `getResourceUtilizationService()` | Get the ResourceUtilizationService instance for this session.
    `RoleService` | `getRoleService()` | Get the `RoleService` instance bound to the current session.
    `ScheduleService` | `getScheduleService()` | Get the ScheduleService instance for this session.
    `ScopedPrivilegeService` | `getScopedPrivilegeService()` | Get the `ScopedPrivilegeService` instance bound to the current session.
    `SessionService` | `getSessionService()` | Get the SessionService instance for this session.
    `SharedWorkspaceService` | `getSharedWorkspaceService()` | Get the `SharedWorkspaceService` instance bound to the current session.
    `SignatureService` | `getSignatureService()` | Get the SignatureService instance for this session.
    `StandardsService` | `getStandardsService()` | Get the StandardsService instance for this session.
    `StudyService` | `getStudyService()` | Get the StudyService instance for this session.
    `StudyTlfService` | `getStudyTlfService()` | Get the StudyTlfService instance for this session.
    `SubscriptionService` | `getSubscriptionService()` | Get the SubscriptionService instance for this session.
    `TaskService` | `getTaskService()` | Get the TaskService instance for this session.
    `TlfTemplateService` | `getTlfTemplateService()` | Get the TlfTemplateService instance for this session.
    `TypeService` | `getTypeService()` | Get the `TypeService` instance bound to the current session.
    `UserService` | `getUserService()` | Get the `UserService` instance bound to the current session.
    `WorkspaceService` | `getWorkspaceService()` | Get the `WorkspaceService` instance bound to the current session.

- - ### Method Detail

    - #### getApplicationInformationService

          ApplicationInformationService getApplicationInformationService()

      Get the `ApplicationInformationService` instance bound to the current session.
      Returns:
        the `ApplicationInformationService` instance bound to the current session.

    - #### getAuditService

          AuditService getAuditService()

      Get the `AuditService` instance bound to the current session.
      Returns:
        the `AuditService` instance bound to the current session.

    - #### getGlobalPrivilegeService

          GlobalPrivilegeService getGlobalPrivilegeService()

      Get the `GlobalPrivilegeService` instance bound to the current session.
      Returns:
        the `GlobalPrivilegeService` instance bound to the current session.

    - #### getGroupService

          GroupService getGroupService()

      Get the `GroupService` instance bound to the current session.
      Returns:
        the `GroupService` instance bound to the current session.

    - #### getMembershipService

          MembershipService getMembershipService()

      Get the `MembershipService` instance bound to the current session.
      Returns:
        the `MembershipService` instance bound to the current session.

    - #### getRepositoryService

          RepositoryService getRepositoryService()

      Get the `RepositoryService` instance bound to the current session.
      Returns:
        the `RepositoryService` instance bound to the current session.

    - #### getRoleService

          RoleService getRoleService()

      Get the `RoleService` instance bound to the current session.
      Returns:
        the `RoleService` instance bound to the current session.

    - #### getScopedPrivilegeService

          ScopedPrivilegeService getScopedPrivilegeService()

      Get the `ScopedPrivilegeService` instance bound to the current session.
      Returns:
        the `ScopedPrivilegeService` instance bound to the current session.

    - #### getTypeService

          TypeService getTypeService()

      Get the `TypeService` instance bound to the current session.
      Returns:
        the `TypeService` instance bound to the current session.

    - #### getUserService

          UserService getUserService()

      Get the `UserService` instance bound to the current session.
      Returns:
        the `UserService` instance bound to the current session.

    - #### getWorkspaceService

          WorkspaceService getWorkspaceService()

      Get the `WorkspaceService` instance bound to the current session.
      Returns:
        the `WorkspaceService` instance bound to the current session.

    - #### getSharedWorkspaceService

          SharedWorkspaceService getSharedWorkspaceService()

      Get the `SharedWorkspaceService` instance bound to the current session.
      Returns:
        the `SharedWorkspaceService` instance bound to the current session.

    - #### getBatchWorkspaceService

          BatchWorkspaceService getBatchWorkspaceService()

      Get the BatchWorkspaceService instance for this session.
      Returns:
        BatchWorkspaceService The single BatchWorkspaceService for this session.

    - #### getBatchRepositoryService

          BatchRepositoryService getBatchRepositoryService()

      Get the BatchRepositoryService instance for this session.
      Returns:
        BatchRepositoryService The single BatchRepositoryService for this session.

    - #### getAclService

          AclService getAclService()

      Get the AclService instance for this session.
      Returns:
        AclService The single AclService for this session.

    - #### getSignatureService

          SignatureService getSignatureService()

      Get the SignatureService instance for this session.
      Returns:
        SignatureService The single SignatureService for this session.

    - #### getRecycleBinService

          RecycleBinService getRecycleBinService()

      Get the RecycleBinService instance for this session.
      Returns:
        RecycleBinService The single RecycleBinService for this session.

    - #### getJobService

          JobService getJobService()

      Get the JobService instance for this session.
      Returns:
        JobService The single JobService for this session.

    - #### getJobSubmissionService

          JobSubmissionService getJobSubmissionService()

      Get the JobExecutionService instance for this session.
      Returns:
        JobExecutionService The single JobExecutionService for this session.

    - #### getProcessFlowService

          ProcessFlowService getProcessFlowService()

      Get the ProcessFlowService instance for this session.
      Returns:
        ProcessFlowService The single ProcessFlowService for this session.

    - #### getSessionService

          SessionService getSessionService()

      Get the SessionService instance for this session.
      Returns:
        SessionService The single SessionService for this session.

    - #### getScheduleService

          ScheduleService getScheduleService()

      Get the ScheduleService instance for this session.
      Returns:
        ScheduleService The single ScheduleService for this session.

    - #### getSubscriptionService

          SubscriptionService getSubscriptionService()

      Get the SubscriptionService instance for this session.
      Returns:
        SubscriptionService The single SubscriptionService for this session.

    - #### getProcessFlowSetupService

          ProcessFlowSetupService getProcessFlowSetupService()

      Get the ProcessFlowSetupService instance for this session.
      Returns:
        ProcessFlowSetupService The single ProcessFlowSetupService for this session.

    - #### getAutoFlowService

          AutoFlowService getAutoFlowService()

      Get the AutoFlowService instance for this session.
      Returns:
        AutoFlowService The single AutoFlowService for this session.

    - #### getStudyTlfService

          StudyTlfService getStudyTlfService()

      Get the StudyTlfService instance for this session.
      Returns:
        StudyTlfService The single AutoFlowService for this session.

    - #### getProcessDefinitionService

          ProcessDefinitionService getProcessDefinitionService()

      Get the ProcessDefinitionService instance for this session.
      Returns:
        ProcessDefinitionService The single ProcessDefinitionService for this session.

    - #### getTaskService

          TaskService getTaskService()

      Get the TaskService instance for this session.
      Returns:
        TaskService The single TaskService for this session.

    - #### getStandardsService

          StandardsService getStandardsService()

      Get the StandardsService instance for this session.
      Returns:
        StandardsService The single StandardsService for this session.

    - #### getStudyService

          StudyService getStudyService()

      Get the StudyService instance for this session.
      Returns:
        StudyService The single StudyService for this session.

    - #### getModelService

          ModelService getModelService()

      Get the ModelService instance for this session.
      Returns:
        ModelService The single ModelService for this session.

    - #### getDictionaryService

          DictionaryService getDictionaryService()

      Get the DictionaryService instance for this session.
      Returns:
        DictionaryService The single DictionaryService for this session.

    - #### getExternalDictionaryService

          ExternalDictionaryService getExternalDictionaryService()

      Get the ExternalDictionaryService instance for this session.
      Returns:
        ExternalDictionaryService The single ExternalDictionaryService for this session.

    - #### getAuditQueryService

          AuditQueryService getAuditQueryService()

      Get the AuditQueryService instance for this session.
      Returns:
        AuditQueryService The single AuditQueryService for this session.

    - #### getRepositoryQueryService

          RepositoryQueryService getRepositoryQueryService()

      Get the RepositoryQueryService instance for this session.
      Returns:
        RepositoryQueryService The single RepositoryQueryService for this session.

    - #### getRecycleBinQueryService

          RecycleBinQueryService getRecycleBinQueryService()

      Get the RecycleBinQueryService instance for this session.
      Returns:
        RecycleBinQueryService The single RecycleBinQueryService for this session.

    - #### getMembershipQueryService

          ContextMembershipQueryService getMembershipQueryService()

      Get the MembershipQueryService instance for this session.
      Returns:
        MembershipQueryService The single MembershipQueryService for this session.

    - #### getPermissionsQueryService

          PermissionsQueryService getPermissionsQueryService()

      Get the PermissionsQueryService instance for this session.
      Returns:
        PermissionsQueryService The single PermissionsQueryService for this session.

    - #### getResourceUtilizationService

          ResourceUtilizationService getResourceUtilizationService()

      Get the ResourceUtilizationService instance for this session.
      Returns:
        ResourceUtilizationService The single ResourceUtilizationService for this session.

    - #### getTlfTemplateService

          TlfTemplateService getTlfTemplateService()

      Get the TlfTemplateService instance for this session.
      Returns:
        TlfTemplateService The single TlfTemplateService for this session.